#include <bits/stdc++.h>
using namespace std;

const long long MAXN = 1e5 + 10, modulo = 1e9 + 7;
long long steps[MAXN], steps_prefix[MAXN], puzzles[MAXN], puzzles_prefix[MAXN];
long long t[MAXN], l[MAXN], r[MAXN];

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n, q;
    cin >> n >> q;

    for (int i = 1; i <= q; i++) {
        cin >> t[i] >> l[i] >> r[i];
    }

    long long prefix = 0;

    for (int i = q; i >= 1; i--) {
        prefix += steps_prefix[i];
        prefix %= modulo;
        long long total_cnt = prefix + 1;
        if (t[i] == 1) {
            puzzles_prefix[l[i]] += total_cnt;
            puzzles_prefix[r[i] + 1] -= total_cnt;
        } else {
            steps_prefix[r[i]] += total_cnt;
            steps_prefix[l[i] - 1] -= total_cnt;
        }
    }

    prefix = 0;

    for (int i = 1; i <= n; i++) {
        prefix += puzzles_prefix[i];
        prefix %= modulo;
        cout << prefix << ' ';
    }

    return 0;

}
