#include <iostream>
#define endl '\n'
using namespace std;
long long p[200000];
long long t[200000];
long long l[200000];
long long r[200000];
long long tree[90000];
void update(int v, int l, int r, int ql, int qr) {
    if(r < ql || l > qr) return;
    tree[v]++;
    if(l==r) {
        return;
    }
    update(v*2, l, (l+r)/2, ql, qr);
    update(v*2+1, (l+r)/2+1, r, ql, qr);
}
int query(int v, int l, int r, int ql, int qr) {
    if(l==r && l==ql) {
        return tree[v];
    }
    if(r < ql || l > qr) return -1e9;
    return max(query(v*2, l, (l+r)/2, ql, qr), query(v*2+1, (l+r)/2+1, r, ql, qr));
}
int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    int n,q; cin >> n >> q;
    for(int i = 1; i <= q; i++) {
        cin >> t[i] >> l[i] >> r[i];
        update(1, 1, n, l[i], r[i]);
    }
    //for(int i = 1; i <= n*4; i++) cout << tree[i] << " ";
    //cout << endl;
    for(int i = 1; i <= n; i++) cout << query(1, 1, n, i, i) << " ";
    cout << endl;
}
/*
5 3
1 1 2
1 4 5
1 3 4
*/

