#define _GLIBCXX_FILESYSTEM
#include <bits/stdc++.h>
using namespace std;

const int MAXN=1000;
const int MAXP=1e6;
bool r[MAXP];
int npd[MAXP];
int n;

void resheto()
{
    r[0]=1;
    r[1]=1;
    npd[1]=1;
    npd[0]=0;
    for(int i=2; i<MAXP; i++)
    {
        if(!r[i])
        {
            npd[i]=i;
            for(int j=2*i; j<MAXP; j+=i)
            {
                if(!r[j])
                {
                    npd[j]=i;
                }
                r[j]=1;
            }
        }
    }
}

int main ()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    resheto();
    cin >> n;
    while(n--)
    {
        long long x;
        cin >> x;
        if(npd[x]==x)
        {
            cout << x+1 << "\n";
            continue;
        }
        long long ans=0;
        vector<int> p;
        vector<bool> vis(1e6, 0);
        int c=x;
        while(c!=1)
        {
            p.push_back(npd[c]);
            if(!vis[npd[c]])
            {
                ans+=npd[c];
                vis[npd[c]]=1;
            }
            c/=npd[c];
        }
        for(int i=0; i<p.size(); i++)
        {
            for(int j=i+1; j<p.size(); j++)
            {
                int k=p[i]*p[j];
                if(k*2>x)
                {
                    break;
                }
                if(!vis[k] && k*2<=x)
                {
                    p.push_back(k);
                    ans+=k;
                    vis[k]=1;
                }
            }
        }
        ans+=1+x;
        cout << ans << "\n";
    }
    return 0;
}
